# ValidateLicenseFileContent

### Description

Validates a QLM license file by performing the following operations:

* Reads the license file content and validates its signature
* Validates the license based on the information in the license file
* If server-side validation is enabled, contacts the License Server and validates the license on the server
* If needed, reactivates the license to retrieve the latest information from the server

```csharp
 bool ValidateLicenseFileContent(string webServiceUrl, string licenseFileContent, 
                                 string activationKey, string computerID, ELicenseBinding licenseBinding, 
                                 out ILicenseInfo licenseInfo)
```

### Parameters

| Parameter          |                                         Type                                        | Description                    |
| ------------------ | :---------------------------------------------------------------------------------: | ------------------------------ |
| webServiceUrl      |                                        string                                       | URL to the QLM License Server  |
| licenseFileContent |                                        string                                       | content of the license file    |
| activationKey      |                                        string                                       | the activation key             |
| computerID         |                                        string                                       | the unique computer identifier |
| licenseBinding     | [ELicenseBinding](/docs/api-reference/.net-api/qlmlicense/enums/elicensebinding.md) | the license binding to use     |
| licenseInfo        |             [ILicenseInfo](/docs/api-reference/.net-api/ilicenseinfo.md)            | returned ILicenseInfo object   |

### Return

| Type | Description                   |
| ---- | ----------------------------- |
| bool | true if the license is valid. |

### Remarks

If validation fails, licenseInfo.ServerErrorCode and licenseInfo.ErrorMessage provide additional details.

### Example

```csharp
QLM.LicenseValidator lv = new QLM.LicenseValidator(settingsFile);
string licenseFile = string.Empty;
ELicenseBinding licenseBinding = ELicenseBinding.ComputerName;
ILicenseInfo licenseInfo;

string licenseFileContent = "<code to retrieve the license file content>";

bool ret = lv.QlmLicenseObject.ValidateLicenseFileContent(lv.QlmLicenseObject.DefaultWebServiceUrl, 
                                                          licenseFileContent, string.Empty, string.Empty,
                                                          licenseBinding, out licenseInfo);
if (ret == false)
{
  DisplayLicenseForm(); // Displays the license wizard
  
  licenseFileContent = "<code to retrieve the license file content>";

  if (lv.QlmLicenseObject.ValidateLicenseFileConteny(lv.QlmLicenseObject.DefaultWebServiceUrl, 
                                                     licenseFileContent, string.Empty, string.Empty, 
                                                     licenseBinding, out licenseInfo) == false)
  {
    Environment.Exit(0);
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/application-methods/validatelicensefilecontent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
